WCS export to GeoTIFF broken in QGIS 2.4.0

2014-08-19 03:16 AM - Markus Neteler

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WCS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19407

Description

While in QGIS 2.2.0 it was possible to export a WCS layer to GeoTIFF, this no longer works in 2.4.0.

The progress bar pops up for some seconds (too fast, I tried with a large layer) and no file is generated.

warning:/usr/lib64/python2.7/pkgutil.py:186: ImportWarning: Not importing directory

'/usr/lib64/python2.7/site-packages/mpl_toolkits': missing __init__.py

  file, filename, etc = imp.find_module(subname, path)

traceback:  File "<string>", line 1, in <module>

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 204, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "/usr/share/qgis/python/plugins/MetaSearch/__init__.py", line 32, in classFactory

    from MetaSearch.plugin import MetaSearchPlugin

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 454, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/MetaSearch/plugin.py", line 33, in <module>

    from MetaSearch.dialogs.maindialog import MetaSearchDialog

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 454, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/MetaSearch/dialogs/maindialog.py", line 45, in <module>

    from owslib.csw import CatalogueServiceWeb

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 454, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/owslib/csw.py", line 18, in <module>

    from owslib import fes

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 454, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/owslib/fes.py", line 19, in <module>

    from owslib import util

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 454, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/owslib/util.py", line 13, in <module>

    import pytz

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 454, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/pytz/__init__.py", line 29, in <module>

    from pkg_resources import resource_stream

  File "/usr/lib64/python2.7/site-packages/qgis/utils.py", line 454, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2813, in <module>
    add_activation_listener(lambda dist: dist.activate())

  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 686, in subscribe

    callback(dist)

  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2813, in <lambda>

    add_activation_listener(lambda dist: dist.activate())

  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2346, in activate

    list(map(declare_namespace, self._get_metadata('namespace_packages.txt')))

  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 1942, in declare_namespace

    _handle_ns(packageName, path_item)

  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 1899, in _handle_ns

    loader = importer.find_module(packageName)

The error message is from my Linux box, it also fails on Windows.

Associated revisions

Revision c7d6f417 - 2014-10-22 07:43 AM - Martin Dobias

Fix #11074 (raster save as broken)

Now the rows/cols edit boxes are prepopulated when the dialog is created

which solves the problem

History

#1 - 2014-10-04 08:17 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master

- Operating System deleted (Linux, Windows)

- Priority changed from Normal to Severe/Regression

The operation fails when the "columns" and "rows" are left as default (0). Until QGIS 2.2 were filled automatically, while since 2.4 it is needed to press

"layer extent" or "map view extent" to have them filled.

#2 - 2014-10-21 10:47 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"c7d6f417baba2ea4a1cceb7cc7a2067f0d9848a6".
